package com.gh.gamecenter.adapter.viewholder

import com.gh.gamecenter.common.base.BaseRecyclerViewHolder
import com.gh.gamecenter.databinding.*

class SearchGameFooterViewHolder(val binding: SearchGameFooterBinding) : BaseRecyclerViewHolder<Any>(binding.root)
class PersonalHomeRatingViewHolder(val binding: PersonalHomeRatingBinding) : BaseRecyclerViewHolder<Any>(binding.root)
class GameColumnCollectionItemViewHolder(val binding: GameColumnCollectionItemBinding) :
    BaseRecyclerViewHolder<Any>(binding.root)

class PrivacyPolicyItemViewHolder(val binding: PrivacyItemBinding) : BaseRecyclerViewHolder<Any>(binding.root)
class CommonCollectionItemViewHolder(val binding: CommonCollectionItemBinding) :
    BaseRecyclerViewHolder<Any>(binding.root)

class CommonCollectionDetailOneItemViewHolder(val binding: CommonCollectionDetailOneItemBinding) :
    BaseRecyclerViewHolder<Any>(binding.root)

class CommonCollectionDetailTwoItemViewHolder(val binding: CommonCollectionDetailTwoItemBinding) :
    BaseRecyclerViewHolder<Any>(binding.root)

class CommonCollectionImageTextItemViewHolder(val binding: CommonCollectionImageTextItemBinding) :
    BaseRecyclerViewHolder<Any>(binding.root)